%define module_version 1.00
%define module_name Digest-DJB
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt3
Summary: Perl extension to Daniel J. Bernstein's hashing algorithm.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/T/TN/TNGUYEN/%{module_name}-%{module_version}.tar.gz
# TODO: fix compilation on other arches
ExclusiveArch: %{ix86}

%description
`Digest::DJB' is an implementation of D. J. Bernstein's hash which returns
a 32-bit unsigned value for any variable-length input string. An equivalent pure Perl
version is also available the Digest::DJB::PurePerl manpage.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%changelog
* Mon Nov 30 2015 Igor Vlasenko <viy@altlinux.ru> 1.00-alt3
- rebuild with perl 522

* Tue Dec 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.00-alt2
- rebuild with perl 5.20.1

* Mon May 05 2014 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- initial import by package builder

